import request from '@/utils/request'

// 查询接口基础信息列表
export function listInfo(query) {
  return request({
    url: '/tool/api/list',
    method: 'get',
    params: query
  })
}

// 查询接口基础信息详细
export function getInfo(id) {
  return request({
    url: '/tool/api/' + id,
    method: 'get'
  })
}

// 新增接口基础信息
export function addInfo(data) {
  return request({
    url: '/tool/api',
    method: 'post',
    data: data
  })
}
export function genCode(data) {
  return request({
    url: '/tool/api/code',
    method: 'post',
    data: data
  })
}

// 修改接口基础信息
export function updateInfo(data) {
  return request({
    url: '/tool/api',
    method: 'put',
    data: data
  })
}

// 删除接口基础信息
export function delInfo(id) {
  return request({
    url: '/tool/api/' + id,
    method: 'delete'
  })
}
